# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::RefPtrI< T > Class Template Reference

`#include <util.h>`

Inheritance diagram for DBus::RefPtrI< T >:

## Public Member Functions

| RefPtrI (T *ptr=0)
| ~RefPtrI ()
RefPtrI & | operator= (const RefPtrI &ref)
T & | operator* () const
T * | operator-> () const
T * | get () const

## Private Attributes

T * | __ptr
RefCnt | __cnt

## Detailed Description

template<class T>
class DBus::RefPtrI< T >

Definition at line 113 of file util.h.

## Constructor & Destructor Documentation

## ◆ RefPtrI()

template<class T>

DBus::RefPtrI< T >::RefPtrI | ( | T * | ptr = 0 | ) |

Definition at line 35 of file refptr_impl.h.

References __ptr.

Referenced by operator=().

## ◆ ~RefPtrI()

template<class T>

DBus::RefPtrI< T >::~RefPtrI | ( |  | ) |

Definition at line 40 of file refptr_impl.h.

References __cnt, and __ptr.

## Member Function Documentation

## ◆ get()

template<class T>

T * DBus::RefPtrI< T >::get | ( |  | ) | const

inline

Definition at line 145 of file util.h.

References __cnt, and __ptr.

## ◆ operator*()

template<class T>

T & DBus::RefPtrI< T >::operator* | ( |  | ) | const

inline

Definition at line 133 of file util.h.

References __ptr.

## ◆ operator->()

template<class T>

T * DBus::RefPtrI< T >::operator-> | ( |  | ) | const

inline

Definition at line 138 of file util.h.

References __cnt, and __ptr.

## ◆ operator=()

template<class T>

RefPtrI & DBus::RefPtrI< T >::operator= | ( | const RefPtrI< T > & | ref | ) |

inline

Definition at line 121 of file util.h.

References __cnt, __ptr, and RefPtrI().

## Member Data Documentation

## ◆ __cnt

template<class T>

RefCnt DBus::RefPtrI< T >::__cnt

private

Definition at line 155 of file util.h.

Referenced by get(), operator->(), operator=(), and ~RefPtrI().

## ◆ __ptr

template<class T>

T* DBus::RefPtrI< T >::__ptr

private

Definition at line 154 of file util.h.

Referenced by get(), operator*(), operator->(), operator=(), RefPtrI(), and ~RefPtrI().

The documentation for this class was generated from the following files:

- util.h
- refptr_impl.h